/**
 * Created by h148225 on 11/22/2016.
 */

define(['baja!',
        'jquery',
        'Promise',
        'underscore'],
    function (Baja,
              $,
              Promise,
              _) {

        'use strict';

        /**
         * Description of your widget.
         *
         * @class
         * @alias module:nmodule/sbcOfflineEngineering/rc/js/util/utils.js
         */
        var utils = {

            getArrElementIndex : function (arr, element) {
                var e;
                for(e =0; e < arr.length; e++) if(arr[e].params.vname == element) return e;
                return -1;
            },
            _exclusiveNOR : function (a, b) {
                if((a && b) || (!a && !b)) return true;
                return false;
            },
            /**
             * escape reversed characters for jquery in id/class name
             * @param myid
             * @returns {void|string|XML}
             */
            escapeJQID : function( myid ) {

                return myid.replace(/(:|\.|\[|\]|\ |,|=|@)/g, "\\$1");

            }

    };
        return utils;
    });
